Package com.io7m.jtensors.core.dotproducts

# Class DotProductsInt

java.lang.Object
com.io7m.jtensors.core.dotproducts.DotProductsInt

public final class DotProductsInt extends Object
Functions for calculating dot products.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `dotProduct2(int x0, int y0, int x1, int y1)`
  Calculate the dot product of `(x0, y0)` and `(x1, y1)`.
  `static int`
  `dotProduct3(int x0, int y0, int z0, int x1, int y1, int z1)`
  Calculate the dot product of `(x0, y0, z0)` and `(x1, y1, z1)`.
  `static int`
  `dotProduct4(int x0, int y0, int z0, int w0, int x1, int y1, int z1, int w1)`
  Calculate the dot product of `(x0, y0, z0, w0)` and `(x1, y1, z1, w1)`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### dotProduct4

    public static int dotProduct4(int x0, int y0, int z0, int w0, int x1, int y1, int z1, int w1)
    Calculate the dot product of `(x0, y0, z0, w0)` and `(x1, y1, z1, w1)`.
    Parameters:
      `x0` - The X component of the first vector
      `y0` - The Y component of the first vector
      `z0` - The Z component of the first vector
      `w0` - The W component of the first vector
      `x1` - The X component of the second vector
      `y1` - The Y component of the second vector
      `z1` - The Z component of the second vector
      `w1` - The W component of the second vector
    Returns:
      The dot product

  - ### dotProduct3

    public static int dotProduct3(int x0, int y0, int z0, int x1, int y1, int z1)
    Calculate the dot product of `(x0, y0, z0)` and `(x1, y1, z1)`.
    Parameters:
      `x0` - The X component of the first vector
      `y0` - The Y component of the first vector
      `z0` - The Z component of the first vector
      `x1` - The X component of the second vector
      `y1` - The Y component of the second vector
      `z1` - The Z component of the second vector
    Returns:
      The dot product

  - ### dotProduct2

    public static int dotProduct2(int x0, int y0, int x1, int y1)
    Calculate the dot product of `(x0, y0)` and `(x1, y1)`.
    Parameters:
      `x0` - The X component of the first vector
      `y0` - The Y component of the first vector
      `x1` - The X component of the second vector
      `y1` - The Y component of the second vector
    Returns:
      The dot product